Skip to Content
Billing

Read your monthly usage

GET
/developer/usage

Calls and the tokens they spent for each of your API keys in one calendar month (UTC). Defaults to the current month. Free.

Authorization

DeveloperKey
headerAuthorizationBearer <gm_live_...>

A GetMattered developer API key, sent as Authorization: Bearer gm_live_....

Query Parameters

month?string

Calendar month in UTC, YYYY-MM.

Match^\d{4}-(?:0[1-9]|1[0-2])$

Response Body

Calls and tokens per key and operation.

application/json
  1. response

Successful API response

data*
meta?
success*true
Value intrue
Example Request
curl -X GET 'https://api.getmattered.com/api/v1/developer/usage'
Example Response
{
  "data": {
    "keys": [
      {
        "calls": 0,
        "failedCalls": 0,
        "keyId": 0,
        "keyPrefix": "string",
        "name": "string",
        "operations": [
          {
            "calls": 0,
            "operation": "ats_score",
            "tokens": 0
          }
        ],
        "refusedCalls": 0,
        "tokens": 0
      }
    ],
    "month": "string"
  },
  "meta": {
    "duration": 0,
    "performance": {
      "dbQueries": 0,
      "totalDbTime": 0
    },
    "requestId": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  },
  "success": true
}